﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

html {
    min-height: 100%;
}

body {
    background-image: radial-gradient(black, white);
    height: 100%;
}

nav {
    background-color: cornflowerblue;
}
h1 {
    position: relative;
}

#bar-left {
    position: absolute;
    left: 0;
    transition: left linear 2s;
}

#welcome-left {
    position: absolute;
    display: inline-block;
    left: 2%;
    transition: left 2s cubic-bezier(.75,0,.8,.5);
}

#theta-middle {
    /*border: dotted;*/
    opacity: 0;
    transition: color 2s cubic-bezier(.75,0,.8,.5), 
                text-shadow 2s cubic-bezier(.75,0,.8,.5),
                opacity 2s ease-in;
}
#theta-middle:hover { transform: scale(0.75); }

#welcome-right {
    position: absolute;
    display: inline-block;
    transform: rotateY(180deg);
    right: 2%;
    opacity: 0;
    transition: right 2s cubic-bezier(.75,0,.8,.5), opacity 2s ease-in;
}

#bar-right {
    position: absolute;
    right: 0;
    transition: right linear 2s;
}

.video-container {
    position: relative;
    width: 560px;
    height: 0;
    /*top: -2.5em;*/
    overflow: hidden;
    margin: auto;
    transition: height 2s ease-in-out;
}

iframe {
    opacity: 0;
    transition: opacity linear 2s;
}

button {
    /*position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);*/
    margin: 2em auto 0 auto;
    border-radius: 1em;
    opacity: 1;
    transition: opacity linear 1s;
}

/*.video-overlay {
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background-color: #fff;
    opacity: 1;
    z-index: 1;
}*/

/*****************/

a.navbar-brand {
  white-space: normal;
  text-align: center;
  word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
  color: #0366d6;
}

.btn-primary {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  font-size: 14px;
}
@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.border-top {
  border-top: 1px solid #e5e5e5;
}
.border-bottom {
  border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
  box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
  font-size: 1rem;
  line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
